<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>HW-JS-3</title>
</head>
<body>

<h2>Functions:</h2>

<p>We need them to describe/establish an operation(s) with possibility to use it as many times as we need with different inputs/variables we need</p>

<script>

    let num1 = 'number 1';
    let num2 = 'number 2';

    while (isNaN(num1) || num1 === null) {
        num1 = Number(prompt('please enter first number', num1));
    }
    while (isNaN(num2) || num2 === null) {
        num2 = Number(prompt('please enter second number', num2));
    }


    function mathOperation(a, b) {

        let operation = prompt('please enter operation +, -, * or /', '');

        if (operation === '+') {
            return a + b;
        }
        else if (operation === '-') {
            return a - b;
        }
        else if (operation === '*') {
            return a * b;
        }
        else if (operation === '/') {
            return a / b;
        }

    }

    console.log(mathOperation(num1, num2));

</script>

</body>
</html>